Bug 222078 - Beagle and evince-thumbnailer hang when indexing
Beagle and evince-thumbnailer hang when indexing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Nielsen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 20:47 EST by srh
Modified: 2008-05-06 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description srh 2007-01-09 20:47:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
Beagle is indexing in the background when CPU goes to 100% and stays there for over 20 minutes. Looking at system monitor shows beagle-helper active and evince-thumbnailer at 99%. Killing the process is required. Also after many weeks of beagle running in the background, Beagle still has not indexed most of my home dir.

I know beagle problems are common and difficult to track somtimes, however putting  beagle 0.2.14 (the latest) into FC6 updates may fix this and other problems.

From the beagle website:
---------------
Beagle version 0.2.13 and older are buggy
Bugs in older versions existed that could cause directories to be continuously reindexed. If that directory was created on-demand with a number of files in it (such as untarring a tarball), this can cause 100% CPU utilization. 

Beginning with Beagle 0.2.14, the Beagle GUI will display an informational message box if the initial indexing process is running and that results may be incomplete. This box will disappear when the initial crawl has finished.

We have seen problems -- usually with proprietary file formats that have to be reverse-engineered, like Microsoft Office -- where certain files can cause infinite loops in filters, which cause Beagle to use all the CPU. If you suspect this is the case, a debugging system added in Beagle 0.2.14 might help.
------------------

From the above, beagle-0.2.14 would be a worthy update for FC6. Is it coming?

Also, are there problems with evince-thumbnailer?



Version-Release number of selected component (if applicable):
beagle-0.2.13-1.fc6

How reproducible:
Sometimes


Steps to Reproduce:
1. Start beagle.
2. Wait for random 100% CPU utilisation for a long period of time.


Actual Results:
!00% CPU and no indexing.

Expected Results:
Occassional CPU usage and index whole home dir.

Additional info:
Comment 1 Thomas Gleixner 2007-01-27 18:01:52 EST
beagle should be removed from the default installation until it is somehow
useful and not just producing noise on a machine.

It causes my completely idle laptop to run the fan for 24h continously. 
Killing it makes the machine silent and work as expected.

What a big pile of .......
Comment 2 Bug Zapper 2008-04-04 01:32:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 13:19:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.